dashboard/urls.py
from django.urls import path, include
from .views import *

urlpatterns = [
    path("", UpdateHomeDetailsView.as_view(), name='dashboard-update-details'),
    path("user", UserDashboard.as_view(), name='dashboard-user'),
    path("messages/", include("member_messages.urls"), name="messages_urls"),
    path("receipts/", include("receipts.urls"), name="receipts_urls"),
    path("user/auction", UsersAuctionList.as_view(), name='dashboard-user-auctions'),
    path("user/auction/<int:pk>", UserAuctionDetails.as_view(), name='dashboard-user-auctions-details'),
    path("users", UsersListView.as_view(), name='dashboard-list-users'),
    path("users/<int:pk>", UserDetailView.as_view(), name='dashboard-detail-users'),
    path("verified", VerifiedUsersListView.as_view(), name='dashboard-verified-users'),
    path("steps", AddStepsView.as_view(), name='dashboard-add-steps'),
    path("entity", AddEntityView.as_view(), name='dashboard-add-entity'),
    path("percentages", AddPercentagesView.as_view(), name='dashboard-add-percentage'),
    path("videos/", include("videos.urls"), name='dashboard-videos-urls'),
    path('percentages/<int:pk>', UpdatePercentageView.as_view(), name='dashboard-update-percentage'),
    path("delete/steps/<int:id>", delete_step_view, name='dashboard-delete-step'),
    path("delete/entity/<int:id>", delete_entity_view, name='dashboard-delete-entity'),
    path("delete/percentage/<int:id>", delete_percentage_view, name='dashboard-delete-percentage'),
    path("auction/list", AuctionListView.as_view(), name='dashboard-auctions-list'),
    path("auction/details/<int:pk>", AuctionDetailsView.as_view(), name='dashboard-auctions-detail'),
    path("auction/api/accept", AcceptAuctionAPIView.as_view(), name='dashboard-auctions-api-view'),
    path("auction/api/save_status", SaveStatusAuctionAPIView.as_view(), name='dashboard-auctions-api-save-status'),
    path("auction/api/delete", DeleteAuctionAPIView.as_view(), name='dashboard-auctions-api-delete'),
]

home/urls.py
from django.urls import path

from .views import *

urlpatterns = [
    path("", HomeView.as_view(), name='home-view'),
    path("contact", ContactView.as_view(), name='contact-view'),
    path("videos", VideosView.as_view(), name='videos-list-view'),
    path("videos/<int:pk>", VideoDetailsView.as_view(), name='videos-details-view'),
    path("about", AboutView.as_view(), name='about-view'),
    path("privacy", PrivacyPolicyView.as_view(), name='privacy-policy-view'),
    path("prices", PricesView.as_view(), name='prices-view'),
    path("puzzles", PuzzleView.as_view(), name='puzzles-view'),
    path("payment", PaymentView.as_view(), name='payment-view'),
    path("aljumal", AljumalView.as_view(), name='aljumal-view'),
]

mohammedproject/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf.urls.i18n import i18n_patterns
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('i18n/', include('django.conf.urls.i18n')),
]

urlpatterns += i18n_patterns(
    # path('admin/', admin.site.urls),
    path("", include("home.urls"), name='home-urls'),
    path("users/", include("users.urls"), name='users-urls'),
    path("auctions/", include("auctions.urls"), name='auctions-urls'),
    path("mohammed/", include("mohammed_ghailan_app.urls"), name='mohammed-urls'),
    path("dashboard/", include("dashboard.urls"), name='dashboard-urls'),
    prefix_default_language=False
)

# only in development
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

dashboard/models.py
from django.db import models


class ProjectSteps(models.Model):
    class Meta:
        db_table = "project_step"

    step = models.CharField(max_length=70)
    created_date = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.step


class Entity(models.Model):
    class Meta:
        db_table = "entity"

    entity = models.CharField(max_length=70)
    created_table = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.entity

dashboard/forms.py
from django import forms
from django.utils.translation import gettext_lazy

POSITIONS = (
    ("circle", "Circle"),
    ("progress_bar", "Progress Bar")
)


class ProjectStepsForm(forms.Form):
    step = forms.CharField(label=gettext_lazy("Step: "), required=True)


class EntityForm(forms.Form):
    entity = forms.CharField(label=gettext_lazy("Entity: "), required=True)


class PercentagesForm(forms.Form):
    position = forms.ChoiceField(choices=POSITIONS, label=gettext_lazy("Position"), required=False)
    label = forms.CharField(label=gettext_lazy("Label"), required=True,
                            widget=forms.TextInput(attrs={"placeholder": gettext_lazy("Label to display")}))
    percentage = forms.IntegerField(label=gettext_lazy("Percentage"), required=True, max_value=10, min_value=0)


class HomeDetailsForm(forms.Form):
    name = forms.CharField(label=gettext_lazy("Name: "), required=False)
    title = forms.CharField(label=gettext_lazy("Title: "), required=False)
    facebook = forms.URLField(label=gettext_lazy("Facebook"), required=False)
    twitter = forms.URLField(label=gettext_lazy("Twitter"), required=False)
    youtube = forms.URLField(label=gettext_lazy("Youtube"), required=False)
    snapchat = forms.URLField(label=gettext_lazy("Snapchat"), required=False)
    instagram = forms.URLField(label=gettext_lazy("Instagram"), required=False)
    details_list_items = forms.CharField(widget=forms.Textarea(), label=gettext_lazy("Details List Items"),
                                         required=False)
    age = forms.IntegerField(label=gettext_lazy("Age: "), required=True)
    country = forms.CharField(label=gettext_lazy("Country: "), required=True)

dashboard/views.py
from django.views.generic import TemplateView
from termcolor import cprint
from django.views.generic.detail import (DetailView)
from django.views.generic.list import (ListView)

from receipts.models import PaidMember
from .forms import *
from django.shortcuts import redirect, render
from django.contrib import messages
from .models import (ProjectSteps, Entity)
from django.utils.translation import gettext_lazy
from home.models import (HomePageDetails, HomePercentages)
from auctions.models import (Auction, AuctionBids)
from django.http import JsonResponse
from django.contrib.auth.mixins import (LoginRequiredMixin, UserPassesTestMixin)
from django.contrib.messages.views import SuccessMessageMixin
from django.urls import reverse_lazy
from rest_framework.views import APIView
from ipware import get_client_ip
from django.contrib.auth.hashers import make_password
from users.forms import RegisterForm
from users.models import Member
from django.contrib.auth import authenticate, login
from django.db.models import Max
from home.countries import (ALL_ENGLISH_COUNTRIES)


class UserDashboard(LoginRequiredMixin, TemplateView):
    login_url = reverse_lazy("login-view")

    def get(self, request, *args, **kwargs):
        context = dict()
        context['register_form'] = RegisterForm()
        context['user'] = request.user
        context['title'] = gettext_lazy("Update Profile")
        context['english_countries'] = ALL_ENGLISH_COUNTRIES
        return render(request, "dashboard/user/profile.html", context=context)

    def post(self, request, *args, **kwargs):
        context = dict()
        context['title'] = gettext_lazy("Update Profile")
        context['register_form'] = RegisterForm(request.POST)
        if context['register_form'].is_valid():
            ip_address = ''
            client_ip, is_routable = get_client_ip(request)
            if client_ip is None:
                ip_address = "Unable To get the ip address"
            else:
                # We got the client's IP address
                if is_routable:
                    # The client's IP address is publicly routable on the Internet
                    ip_address = client_ip
                else:
                    # The client's IP address is private
                    ip_address = "The client's IP address is private"
            password = context['register_form'].cleaned_data.get("password")
            password_confirmation = context['register_form'].cleaned_data.get("password_confirmation")
            if password_confirmation != password:
                messages.error(request, gettext_lazy('Password confirmation not match!'), 'danger')
                return render(request, 'users/auth/register.html', context=context)
            else:
                # pass
                member = Member.objects.filter(pk=request.user.pk).first()
                member.name = context['register_form'].data.get("name")
                member.password = make_password(context['register_form'].cleaned_data.get("password"))
                member.email = context['register_form'].cleaned_data.get("email")
                member.phone = context['register_form'].cleaned_data.get("phone")
                member.country = request.POST.get("country")
                member.save()
                email = context['register_form'].cleaned_data.get("email")
                password = context['register_form'].cleaned_data.get("password")
                auth_user = authenticate(request, email=email, password=password)
                if auth_user is not None:
                    login(request=request, user=auth_user)
                messages.success(request, gettext_lazy("Your profile updated successfully!"), 'success')
                return redirect("dashboard-user")
        else:
            return render(request, 'users/auth/register.html', context=context)


class UpdateHomeDetailsView(LoginRequiredMixin, UserPassesTestMixin, TemplateView):
    login_url = reverse_lazy("login-view")

    def test_func(self):
        if self.request.user.is_superuser:
            return True
        else:
            return False

    def get(self, request, *args, **kwargs):
        home_form = HomeDetailsForm()
        update_data = HomePageDetails.objects.first()
        return render(request, "dashboard/update.html", context={
            "home_form": home_form,
            "title": gettext_lazy("Update home details"),
            "update_data": update_data
        })

    def post(self, request):
        data = request.POST.copy()
        home_form = HomeDetailsForm(data)
        if home_form.is_valid():
            update_data = HomePageDetails.objects.first()
            update_data.name = home_form.data.get("name")
            update_data.title = home_form.data.get("title")
            update_data.age = home_form.data.get("age")
            update_data.country = home_form.data.get("country")
            update_data.facebook = home_form.data.get("facebook")
            update_data.twitter = home_form.data.get("twitter")
            update_data.youtube = home_form.data.get("youtube")
            update_data.instagram = home_form.data.get("instagram")
            update_data.snapchat = home_form.data.get("snapchat")
            update_data.details_list_items = home_form.data.get("details_list_items")
            update_data.save()
            messages.success(request, gettext_lazy('Update Successfully!'), "success")
            return redirect("dashboard-update-details")
        else:
            messages.error(request, home_form.errors, "danger")
            return redirect("dashboard-update-details")


class AddStepsView(LoginRequiredMixin, UserPassesTestMixin, TemplateView):
    login_url = reverse_lazy("login-view")

    def test_func(self):
        if self.request.user.is_superuser:
            return True
        else:
            return False

    def get(self, request, *args, **kwargs):
        steps_form = ProjectStepsForm()
        all_steps = ProjectSteps.objects.all()
        return render(request, "dashboard/add_steps.html",
                      context={"steps_form": steps_form, "all_steps": all_steps, "title": gettext_lazy('Steps')})

    def post(self, request):
        data = request.POST.copy()
        steps_form = ProjectStepsForm(data)
        if steps_form.is_valid():
            step_object = ProjectSteps(step=steps_form.data.get("step"))
            step_object.save()
            messages.success(request, gettext_lazy('Step added Successfully!'), "success")
            return redirect("dashboard-add-steps")


class AddEntityView(LoginRequiredMixin, UserPassesTestMixin, TemplateView):
    login_url = reverse_lazy("login-view")

    def test_func(self):
        if self.request.user.is_superuser:
            return True
        else:
            return False

    def get(self, request, *args, **kwargs):
        entity_form = EntityForm()
        all_entities = Entity.objects.all()
        return render(request, "dashboard/add_entity.html",
                      context={"entity_form": entity_form, "all_entities": all_entities})

    def post(self, request):
        data = request.POST.copy()
        entity_form = EntityForm(data)
        if entity_form.is_valid():
            entity_object = Entity(entity=entity_form.data.get("entity"))
            entity_object.save()
            messages.success(request, gettext_lazy('Entity added Successfully!'), "success")
            return redirect("dashboard-add-entity")


class UpdatePercentageView(LoginRequiredMixin, UserPassesTestMixin, DetailView):
    model = HomePercentages
    template_name = "dashboard/update_percentages.html"
    login_url = reverse_lazy("login-view")

    def test_func(self):
        if self.request.user.is_superuser:
            return True
        else:
            return False

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['update_form'] = PercentagesForm()
        context['title'] = gettext_lazy("Update label")
        return context

    def post(self, request, *args, **kwargs):
        data = request.POST.copy()
        percentage_form = PercentagesForm(data)
        if percentage_form.is_valid():
            per_obj = HomePercentages.objects.filter(pk=kwargs.get("pk")).first()
            # per_obj.position = percentage_form.data.get("position")
            per_obj.label = percentage_form.data.get("label")
            per_obj.percentage_value = percentage_form.data.get("percentage")
            per_obj.save()
            messages.success(request, gettext_lazy("Label updated Successfully!"), "success")
            return redirect("dashboard-add-percentage")


class AddPercentagesView(LoginRequiredMixin, UserPassesTestMixin, TemplateView):
    login_url = reverse_lazy("login-view")

    def test_func(self):
        if self.request.user.is_superuser:
            return True
        else:
            return False

    def get(self, request, *args, **kwargs):
        percentage_form = PercentagesForm()
        all_perns = HomePercentages.objects.all()
        return render(request, "dashboard/percentages.html",
                      context={
                          "percentage_form": percentage_form,
                          "title": gettext_lazy("Update percentage"),
                          "all_perns": all_perns
                      })

    def post(self, request):
        data = request.POST.copy()
        percentage_form = PercentagesForm(data)
        all_perns = HomePercentages.objects.all()
        # check the length of the percentages if it is 8 ok complete the process
        if all_perns.count() == 8:
            if percentage_form.is_valid():
                entity_object = Entity(entity=percentage_form.data.get("entity"))
                entity_object.save()
                messages.success(request, gettext_lazy("Label added Successfully!"), "success")

dashboard/templates/dashboard/add_entity.html
{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
Add Entity
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>


  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

        <!-- Back Button -->
        {% include "home/inc/back_btn.html" %}
        <!-- Back Button -->

        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        <section id='update-home-details-wrapper' class="mt-5">
          <form method="POST" class="mb-5">
            {% csrf_token %}

            <div class="form-group row art-form-field">
              <label for="entity" class="col-sm-2 col-form-label">
                {% render_field entity_form.entity.label %}
              </label>
              <div class="col-sm-10">
                <!-- input -->
                {% render_field entity_form.entity class+="art-input custom-art-input" id="entity" %}
              </div>
            </div>
            <!-- form field end -->
            <!-- button -->
            <div class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
              <button class="art-btn art-btn-md art-submit" type="submit">
                <span>{% trans 'Add' %}</span>
              </button>
              <!-- success -->
            </div>
          </form>
          <hr />

          <section id="entity-table">
            <table class="table table-dark table-striped">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">
                    {% trans "Entity" %}
                  </th>
                  <th colspan="3" class="text-center">
                    {% trans "Delete" %}
                  </th>
                </tr>
              </thead>
              <tbody>
                {% for entity in all_entities %}
                <tr>
                  <th scope="row">
                    {{entity.pk}}
                  </th>
                  <td colspan="3">
                    {{entity.entity}}
                  </td>
                  <td class="text-center">
                    <form action="{% url 'dashboard-delete-entity' entity.pk %}" method="POST">
                      {% csrf_token %}
                      <button type="submit" class="art-btn p-2">
                        <i class="fas fa-trash" style="font-size: 17px;"></i>
                      </button>
                    </form>
                  </td>
                </tr>
                {% endfor %}

              </tbody>
            </table>
          </section>
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}

dashboard/templates/dashboard/add_receipt.html
{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
Send receipt
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>




  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">
        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        <section id='update-home-details-wrapper' class="mt-5">
          <form method="POST" class="mb-5">
            {% csrf_token %}
            
            <div class="form-group row art-form-field">
              <label for="name" class="col-sm-2 col-form-label">
                {% render_field receipt_form.name.label %}
              </label>
              <div class="col-sm-10">
                <!-- input -->
                {% render_field receipt_form.name class+="art-input custom-art-input" id="name" %}
              </div>
            </div>
            <!-- form field end -->

            <div class="form-group row art-form-field">
              <label for="email" class="col-sm-2 col-form-label">
                {% render_field receipt_form.email.label %}
              </label>
              <div class="col-sm-10">
                <!-- input -->
                {% render_field receipt_form.email class+="art-input custom-art-input" id="email" %}
              </div>
            </div>
            <!-- form field end -->

            <div class="form-group row art-form-field">
              <label for="receipt_img" class="col-sm-2 col-form-label">
                {% render_field receipt_form.receipt_img.label %}
              </label>
              <div class="col-sm-10">
                <!-- input -->
                {% render_field receipt_form.receipt_img class+="art-input custom-art-input" id="receipt_img" %}
              </div>
            </div>
            <!-- form field end -->

            <div class="form-group row art-form-field">
              <label for="notes" class="col-sm-2 col-form-label">
                {% render_field receipt_form.notes.label %}
              </label>
              <div class="col-sm-10">
                <!-- input -->
                {% render_field receipt_form.notes class+="art-input custom-art-input" id="notes" %}
              </div>
            </div>
            <!-- form field end -->
            <!-- button -->
            <div class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
              <button class="art-btn art-btn-md art-submit" type="submit">
                <span>{% trans 'Send' %}</span>
              </button>
              <!-- success -->
            </div>
          </form>
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}

dashboard/templates/dashboard/percentages.html
{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>




  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

        <!-- Back Button -->
        {% include "home/inc/back_btn.html" %}
        <!-- Back Button -->
        
        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        <section id='percentage-home-details-wrapper' class="mt-5">

          <hr />

          <section id="percentage-table">
            <table class="table table-dark table-striped">
              <thead>
                <tr>
                  <th scope="col">
                    {% trans "Percentage Label" %}
                  </th>
                  <th>
                    {% trans "Position" %}
                  </th>
                  <th colspan="3" class="text-center">
                    {% trans "Edit" %}
                  </th>
                </tr>
              </thead>
              <tbody>
                {% for per in all_perns %}
                <tr>
                  <td>
                    <a href="{% url 'dashboard-update-percentage' per.pk %}" class="text-white">
                      {{per.label}}
                    </a>
                  </td>
                  <td>
                    {{per.position}}
                  </td>
                  <td class="text-center">
                    <a href="{% url 'dashboard-update-percentage' per.pk %}" class="art-btn p-2">
                      <i class="fas fa-pencil-alt" style="font-size: 17px;"></i>
                    </a>
                   
                  </td>
                </tr>
                {% endfor %}

              </tbody>
            </table>
          </section>
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}

dashboard/templates/dashboard/update.html
{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
  {{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

  <!-- curtain -->
  <div class="art-curtain"></div>




  <!-- swup container -->
  <div class="transition-fade" id="swup">

    <!-- scroll frame -->
    <div id="scrollbar" class="art-scroll-frame">

      <!-- container -->
      <div class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

        <!-- Back Button -->
        {% include "home/inc/back_btn.html" %}
        <!-- Back Button -->
        
        <!-- Display the errors -->
        {% include "home/inc/messages.html" %}
        <!-- Display the errors -->
        <section id='update-home-details-wrapper' class="mt-5">
          <form method="POST" class="mb-5">
            {% csrf_token %}
            <fieldset>
              <legend class="mb-4 text-white d-inline-block">
                {% trans "Update my personal details" %}
              </legend>
              <div class="form-group row art-form-field">
                <label for="name" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.name.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.name class+="art-input custom-art-input" id="name" value=update_data.name %}
                </div>
              </div>
              <!-- form field end -->
              <div class="form-group row art-form-field">
                <label for="title" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.title.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.title class+="art-input custom-art-input" id="title" value=update_data.title %}
                </div>
              </div>
              <!-- form field end -->
              <div class="form-group row art-form-field">
                <label for="age" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.age.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.age class+="art-input custom-art-input" id="age" value=update_data.age %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="country" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.country.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.country class+="art-input custom-art-input" id="country" value=update_data.country %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="facebook" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.facebook.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.facebook class+="art-input custom-art-input" id="facebook" value=update_data.facebook %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="twitter" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.twitter.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.twitter class+="art-input custom-art-input" id="twitter" value=update_data.twitter %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="youtube" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.youtube.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.youtube class+="art-input custom-art-input" id="youtube" value=update_data.youtube %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="instagram" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.instagram.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.instagram class+="art-input custom-art-input" id="instagram" value=update_data.instagram %}
                </div>
              </div>
              <!-- form field end -->
              <div class="form-group row art-form-field">
                <label for="snapchat" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.snapchat.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  {% render_field home_form.snapchat class+="art-input custom-art-input" id="snapchat" value=update_data.snapchat %}
                </div>
              </div>
              <!-- form field end -->

              <div class="form-group row art-form-field">
                <label for="details_list_items" class="col-sm-2 col-form-label text-white">
                  {% render_field home_form.details_list_items.label %}
                </label>
                <div class="col-sm-10">
                  <!-- input -->
                  <textarea name="details_list_items" cols="40" rows="10" id="id_details_list_items">{{update_data.details_list_items}}</textarea>
                </div>
              </div>
              <!-- form field end -->
              <!-- button -->
              <div class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
                <button class="art-btn art-btn-md art-submit" type="submit">
                  <span>{% trans 'Update' %}</span>
                </button>
                <!-- success -->
              </div>
            </fieldset>
          </form>
        </section>

      </div>
      <!-- container end -->




    </div>
    <!-- scroll frame end -->

  </div>
  <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}